*Chapter 10 commands-part 1

log using chap10, text replace
use chap10-els2002, clear

* Multilevel modeling for continuous outcome variables
*Deleting missing values and grand-mean centering sclimate
drop if missing(mathach, efficacy, public, sclimate)
summarize mathach efficacy public sclimate
generate csclimat = sclimate -r(mean)
gen gceffic = efficacy -r(mean)

* Unconditional means model (Model 1)
xtmixed mathach || SCH_ID: , mle var
estimates store null

* Random-intercept model (Model 2)
xtmixed mathach gceffic || SCH_ID: , mle var
estimates store ranint

* Log likelihood ratio test comparing the unconditional model and random-intercept model
lrtest null ranint

*Random-coefficient model (Model 3)
xtmixed mathach gceffic || SCH_ID: gceffic, cov(uns) mle var
estimates store ranslop1
* Log likelihood ratio test
lrtest ranint ranslop1

*Contextual Model without Cross-Level Interactions (Model 4)
xtmixed mathach gceffic public csclimat || SCH_ID: gceffic, cov(uns) mle var
estimates store ranslop2
lrtest ranslop1 ranslop2

*Creating interaction terms
generate pub_eff= public*gceffic
generate cli_eff=csclimat*gceffic

*Contextual Model with Cross-Level Interactions (Model 5)
xtmixed mathach gceffic public csclimat pub_eff cli_eff || SCH_ID: gceffic, cov(uns) mle var
estimates store ranslop3
lrtest ranslop2 ranslop3

* Making publication-quality tables using outreg2
quietly xtmixed mathach || SCH_ID: , mle var
outreg2 using chap10aout, dec(3) long word replace
*generate pub_eff= public*gceffic      /*already defined in Model 5*/
*generate cli_eff=csclimat*gceffic     /*already defined in Model 5*/ 
quietly xtmixed mathach gceffic public csclimat pub_eff cli_eff || SCH_ID: gceffic, cov(uns) mle var
outreg2 using chap10aout, dec(3) long word append
